import 'package:flutter/foundation.dart';
import 'package:shared_preferences/shared_preferences.dart';

class Data extends ChangeNotifier {

  // Application settings
  String _apiurl = '';

  getParameterValue(String parameterCode) {
    switch(parameterCode) {
      case 'apiurl': { return _apiurl; }
      break;
    }
  }

  setParameterValue(String parameterCode, String parameterValue) async {
    print('set parameter "' + parameterCode + '" to value "' + parameterValue + '"');
    switch(parameterCode) {
      case 'apiurl': { updateApiUrl(parameterValue); }
      break;
    }
    final prefs = await SharedPreferences.getInstance();
    prefs.setString(parameterCode, parameterValue);
  }

  void initParametersValues() async {
    final prefs = await SharedPreferences.getInstance();
    setParameterValue('apiurl', prefs.getString('apiurl') ?? 'http://127.0.0.1/plotter');
  }

  String get apiurl => _apiurl;
  void updateApiUrl(String apiurl) {
    _apiurl = apiurl;
    notifyListeners();
  }
}
