import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../provider/data.dart';
import '../screens/settings.dart';

class Home extends StatefulWidget {
  static const String id = 'home';

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  @override
  void initState() {
    super.initState();

    Data myProvider = Provider.of<Data>(context, listen: false);
    myProvider.initParametersValues();
  }

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    return Scaffold(
      appBar: AppBar(
        title: new Text('Stepper plotter assistant'),

        actions: [
          IconButton(
            icon: Icon(Icons.settings),
            onPressed: () {
              Navigator.push(
                context,
                MaterialPageRoute(builder: (context) {
                  return SettingsPage();
                }),
              );
            },
          )
        ],

        leading: IconButton(
          icon: Image.asset('assets/icons/application.png'),
          onPressed: () { },
        ),
      ),
      body: SafeArea(
        child: Center(
          child: Text('🤖')
        ),
      )
    );
  }
}
